@charset "UTF-8";

.nd_calculator h2 {
    margin-bottom: 40px;
    margin-top: 0;
    font-size: 24px;
    color: var(--text);
}

.nd_calculator h3 {
    margin-bottom: 40px;
    margin-top: 0;
    font-size: 18px;
    color: var(--text);
}

.table-calc__value--half {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.table-calc__sub-row {
    width: 48%;
    position: relative;
}

.table-calc__descr {
    color: var(--gray);
    margin-bottom: 4px;
    line-height: var(--lineheight-title);
}

.table-calc__value--half input {
    width: 48%;
    text-align: left;
}

.table-calc__sub-row input {
    width: 100%;
}

.nd_calculator input.onlynumber,
.nd_calculator input[type="text"],
.nd_calculator input[type="email"],
.nd_calculator input[type="password"],
.nd_calculator textarea,
.nd_calculator select {
    resize: none;
    margin-bottom: 16px;
    display: block;
}

.nd_calculator textarea {
    width: 100%;
    resize: vertical;
    min-height: 160px;
}

.calc-form__year-label > input {
    display: none;
}

.nd_calculator input[type="text"] {
    width: 100%;
    display: block;
}

.nd_calculator input[disabled] {
    border-color: var(--lightGray);
    background-color: var(--lightGray);
    opacity: 1;
}

.nd_calculator input[disabled]::placeholder {
    color: var(--gray);
}

.calc-wrapper {
    padding: 32px 0;
    position: relative;
}

.calc-wrapper::before {
    content: "";
    position: absolute;
    left: -44px;
    right: -44px;
    top: 0;
    height: 1px;
    background-color: var(--grayBorder);
}

.calc-accordion {
    display: flex;
    align-items: center;
    cursor: pointer;
    transition: all 0.25s ease;
    position: relative;
}

.calc-accordion .tooltipster {
    margin-left: 8px;
}

.calc-border-top {
    position: relative;
    margin-top: 40px;
    padding-top: 40px;
}

.calc-border-top::before {
    content: "";
    position: absolute;
    left: -44px;
    right: -44px;
    top: 0;
    height: 1px;
    background-color: var(--grayBorder);
}

.calc-border-all {
    position: relative;
    padding: 40px 0;
    margin-bottom: 40px;
    margin-top: 16px !important;
}

.calc-border-all::before {
    content: "";
    position: absolute;
    left: -44px;
    right: -44px;
    top: 0;
    height: 1px;
    background-color: var(--grayBorder);
}

.calc-border-all::after {
    content: "";
    position: absolute;
    left: -44px;
    right: -44px;
    bottom: 0;
    height: 1px;
    background-color: var(--grayBorder);
}

.calc-border-top.calc-border-top-mini {
    margin-top: 24px;
    padding-top: 32px;
}

.calc-margin-top {
    margin-top: 24px !important;
}

@media (max-width: 768px) {
    .calc-wrapper {
        padding: 24px 0;
    }

    .table-calc__descr {
        font-size: 12px;
    }

    .nd_calculator h2 {
        font-size: 20px;
        margin-bottom: 24px;
    }

    .nd_calculator h3 {
        margin-bottom: 24px;
    }

    .calc-border-top.calc-border-top-mini {
        margin-top: 0;
        padding-top: 24px;
    }

    .calc-border-all {
        position: relative;
        padding: 24px 0;
        margin-bottom: 24px;
        margin-top: 8px !important;
    }

    .calc-border-top {
        padding-top: 24px;
        margin-top: 24px;
    }

    .calc-border-top::before {
        left: -16px;
        right: -16px;
    }

    .calc-margin-top {
        margin-top: 8px !important;
    }
}

.nd_calculator .calc-accordion-content {
    display: none;
    padding-bottom: 24px;
}

@media screen and (max-width: 768px) {
    .nd_calculator .calc-accordion-content {
        padding-bottom: 8px;
    }
}

.nd_calculator .calc-accordion h2 {
    font-size: 18px;
    line-height: 1.4;
    color: var(--gray);
    margin-bottom: 0;
    transition: all 0.2s ease-in-out;
}

@media screen and (max-width: 768px) {
    .nd_calculator .calc-accordion h2 {
        font-size: 14px;
    }
}

.nd_calculator .calc-accordion__left {
    flex: 1;
    width: auto;
    display: flex;
    align-items: center;
}

.nd_calculator .calc-accordion__icon {
    width: 30px;
    height: 30px;
    margin-right: 16px;
    fill: var(--gray);
    transition: all 0.25s ease;
}

.nd_calculator .calc-accordion__btn-toggle .icon-el {
    width: 10px;
    height: 7px;
    margin-bottom: -2px;
}

.nd_calculator .calc-accordion__btn-toggle .icon-el path {
    stroke: var(--text);
}

.nd_calculator .calc-accordion__btn-toggle {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    overflow: hidden;
    background: var(--white);
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.2s linear;
    border: 1px solid var(--gray);
}

.nd_calculator .calc-accordion.show .calc-accordion__icon {
    fill: var(--accent);
}

.nd_calculator .calc-accordion.show h2 {
    color: var(--accent);
}

.nd_calculator .calc-accordion.show .calc-accordion__btn-toggle {
    transform: rotate(180deg);
}

.nd_calculator .calc-grid {
    display: flex;
    margin-left: -15px;
    margin-bottom: 24px;
}

.nd_calculator .calc-grid__col {
    padding-left: 16px;
}

@media screen and (min-width: 768px) {
    .nd_calculator .calc-accordion:hover .calc-accordion__icon {
        fill: var(--accent);
    }

    .nd_calculator .calc-accordion:hover h2 {
        color: var(--text);
    }

    .nd_calculator .calc-accordion:hover .calc-accordion__btn-toggle {
        background-color: var(--lightGray);
        border-color: var(--accent-dark);
    }

    .nd_calculator .calc-accordion.show:hover h2 {
        color: var(--accent-dark);
    }

    .nd_calculator .calc-accordion.show:hover .calc-accordion__icon {
        fill: var(--accent-dark);
    }
}

@media screen and (max-width: 768px) {
    .nd_calculator .calc-accordion__btn-toggle {
        width: 32px;
        height: 32px;
    }

    .nd_calculator .calc-grid {
        flex-wrap: wrap;
    }

    .nd_calculator .calc-grid__col {
        width: 100%;
    }
}

.nd_calculator .calc-bottom__btn-wrap {
    text-align: center;
}

.nd_calculator .table-calc__row {
    display: block;
}

.nd_calculator .table-calc__text {
    color: var(--gray);
    margin-bottom: 4px;
    line-height: var(--lineheight-title);
}

.nd_calculator .table-calc__value {
    width: auto;
}

.nd_calculator input[type="text"] {
    text-align: left;
}

.nd_calculator {
    border-radius: 16px;
    margin-bottom: 60px;
    padding: 44px 44px 56px;
    background-color: var(--white);
    box-shadow: var(--boxShadow);
}

.nd_calculator h2:not(:first-of-type) {
    display: block;
    position: relative;
    font-size: 18px;
}

@media (max-width: 768px) {
    .nd_calculator .calc-bottom__btn-wrap {
        padding-top: 32px;
    }

    .nd_calculator {
        border-radius: 0;
        padding: 24px 16px;
        margin-left: -16px;
        width: calc(100% + 32px);
        margin-bottom: 40px;
    }

    .nd_calculator h2:not(:first-of-type) {
        margin: 20px -20px 0 -20px;
        padding: 24px 20px 30px 20px;
        font-size: 18px;
    }

    .nd_calculator .table-calc__text {
        width: auto;
    }

    .grayback {
        padding: 20px;
        position: relative;
        margin: 20px -15px;
    }

    .center .btn.btn-primary.btn-nalogia {
        margin: 20px auto;
    }

    .cta-promo-grey {
        padding: 20px;
    }

    .nd_calculator .table-calc__value {
        flex-wrap: wrap;
    }

    .nd_calculator .table-calc__sub-row {
        width: 50%;
        margin-right: 8px;
    }

    .nd_calculator .table-calc__sub-row:first-child {
        width: calc(50% - 8px);
    }

    .nd_calculator .table-calc__sub-row:last-of-type {
        margin-right: 0;
    }
}

.nd_calculator__box-btn-return {
    text-align: center;
}

/*New styles*/
.nd_calculator .table-calc__row--flex {
    display: flex;
    align-items: center;
}

.nd_calculator .table-calc__row--flex .table-calc__text {
    margin-right: 16px;
    width: calc(100% - 324px - 16px);
    margin-bottom: 8px;
    color: var(--text);
}

.nd_calculator .table-calc__row--flex .table-calc__value {
    width: 100%;
    flex-wrap: nowrap;
    align-items: flex-start;
}

.nd_calculator .table-calc__row--flex .table-calc__sub-row + .table-calc__sub-row {
    margin-top: 0;
}

.table-ToggleShow__list {
    max-height: 280px;
    overflow: hidden;
}

.table-ToggleShow__button {
    background: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, #ffffff 70.36%, #ffffff 100%);
    height: 184px;
    display: flex;
    align-items: flex-end;
    margin-top: -100px;
    position: relative;
}

.table-ToggleShow__button .button {
    font-size: 14px;
    display: inline-flex;
    align-items: center;
    text-align: center;
    cursor: pointer;
    transition: all 0.2s ease-in-out;
    user-select: none;
    margin-top: 24px;
    height: 34px;
    line-height: 34px;
    padding: 0 28px;
    font-weight: 600;
    border: 1px solid var(--text);
    border-radius: 8px;
}

.table-ToggleShow__button.active svg {
    transform: scale(1, -1);
}

.table-ToggleShow__button.active {
    margin-top: 0;
    height: auto;
    background: transparent;
}

.table-ToggleShow__button .button:hover {
    color: var(--accent);
    border-color: var(--accent);
}

.table-ToggleShow__button .button:hover svg {
    fill: var(--accent);
}

.table-ToggleShow__button .button svg {
    margin-left: 12px;
    fill: var(--text);
    transition: all 0.25s ease;
}

.nd_calculator .calc-bottom .table-calc__value input {
    background: transparent;
    font-size: 18px;
    color: var(--gray);
    font-weight: 600;
    border: 0;
    width: 100%;
    text-align: right;
    padding: 0;
    margin-bottom: 0;
    height: auto;
    border-radius: 0;
    line-height: var(--lineheight-title);
}

.nd_calculator .calc-bottom .table-calc__value input::placeholder {
    font-size: 18px;
}

.nd_calculator .calc-bottom .table-calc__row {
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    margin-top: 24px;
    display: flex;
}

.nd_calculator .calc-bottom .table-calc__value {
    width: calc(48% - 10px);
}

.nd_calculator .calc-bottom .table-calc__text {
    width: calc(52% - 10px);
    font-size: 18px;
    color: var(--text);
}

.nd_calculator .calc-bottom .table-calc__row:first-child {
    margin-top: 0;
}

@media screen and (max-width: 768px) {
    .nd_calculator .calc-bottom .table-calc__row {
        margin-top: 16px;
    }

    .nd_calculator .calc-bottom .table-calc__value input {
        font-size: 14px;
    }

    .nd_calculator .calc-bottom .table-calc__value input::placeholder {
        font-size: 14px;
    }

    .nd_calculator .calc-bottom .table-calc__text {
        font-size: 14px;
        width: 65%;
        padding-right: 15px;
        margin-right: 0;
        margin-bottom: 0;
    }

    .nd_calculator .calc-bottom .table-calc__value {
        width: 35%;
    }

    .table-ToggleShow__button {
        height: 132px;
    }

    .table-ToggleShow__button .button {
        margin-top: 16px;
    }

    .table-ToggleShow__list {
        max-height: 420px;
    }

    .nd_calculator .table-calc__row--flex {
        display: block;
    }

    .nd_calculator .table-calc__row--flex .table-calc__text {
        width: 100%;
        margin-right: 0;
    }
}

@media screen and (min-width: 768px) {
    .table-ToggleShow__button {
        margin-top: -120px;
    }

    .table-ToggleShow__list {
        max-height: 250px;
    }

    .nd_calculator .table-calc__row--flex .table-calc__text {
        font-size: 18px;
    }

    .nd_calculator .table-calc__row--flex .table-calc__value {
        width: 50%;
        justify-content: flex-end;
    }

    .nd_calculator .table-calc__row--flex .table-calc__text {
        width: calc(100% - 50% - 16px);
    }

    .nd_calculator .table-calc__row--flex .table-calc__sub-row {
        width: 154px;
        margin-right: 16px;
    }

    .nd_calculator .table-calc__row--flex .table-calc__sub-row:last-of-type {
        margin-right: 0;
    }
}

/* button */
.g-btn5 {
    display: block;
    max-width: 288px;
    margin: auto;
    width: 100%;
}

@media screen and (max-width: 768px) {
    .g-btn5 {
        max-width: 100%;
    }
}

/* / button */
.tooltipster {
    margin-left: 4px;
    margin-right: 4px;
}

.selectize-control {
    margin-bottom: 16px;
    width: 100%;
}

.selectize-input {
    font-family: var(--userfont);
    font-weight: normal;
    color: var(--black);
    font-size: 18px;
    border: 1px solid var(--gray);
    border-radius: 12px;
    background-color: var(--white);
    padding: 0 20px;
    height: 60px;
    line-height: 60px;
    width: 100%;
    transition: all 0.2s ease-in-out;
    box-shadow: none;
    min-width: 150px;
}

.selectize-input input {
    color: transparent !important;
}

.selectize-input.focus {
    box-shadow: none;
}

.selectize-input.dropdown-active {
    border-radius: 12px;
    border-color: var(--accent);
}

.selectize-control.single .selectize-input:after {
    background-image: url("/local/templates/nalogia/img/calc/arrow-select.svg");
    width: 14px;
    height: 8px;
    border-radius: 0;
    border: none;
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    margin: 0;
    transition: all 0.25s ease;
    transform: translateY(-50%);
}

.selectize-control.single .selectize-input.dropdown-active:after {
    margin-top: 0;
    transform: translateY(-50%) scale(1, -1);
}

.selectize-control .selectize-input::before {
    display: none;
}

.selectize-dropdown {
    box-shadow: 0px 4px 25px #efefef;
    border: 1px solid var(--gray);
    margin-top: 8px;
    border-radius: 12px;
    overflow: hidden;
    padding: 10px 0;
}

.selectize-dropdown-content {
    max-height: 230px;
}

.selectize-dropdown .option,
.selectize-dropdown .optgroup-header,
.selectize-dropdown .no-results,
.selectize-dropdown .create {
    padding: 16px 18px;
}

.selectize-dropdown,
.selectize-input,
.selectize-input input {
    font-size: 18px;
}

.selectize-dropdown .option {
    color: var(--gray);
}

.selectize-dropdown .option.selected {
    background-color: var(--lightGray);
    color: var(--accent);
}

.selectize-dropdown .option.active {
    background-color: var(--lightGray);
}

@media (max-width: 768px) {
    .selectize-input {
        border-radius: 8px;
        height: 52px;
        line-height: 52px;
        padding-left: 16px;
        padding-right: 16px;
        font-size: 16px;
    }

    .selectize-dropdown,
    .selectize-input,
    .selectize-input input {
        font-size: 16px;
    }

    .selectize-dropdown .option,
    .selectize-dropdown .optgroup-header,
    .selectize-dropdown .no-results,
    .selectize-dropdown .create {
        padding-left: 16px;
        padding-right: 16px;
    }

    .selectize-input.dropdown-active {
        border-radius: 8px;
    }

    .selectize-dropdown {
        border-radius: 8px;
    }
}
